#!/usr/bin/make -f
# export DH_VERBOSE=1
package=python-weberror

override_dh_clean:
	rm -rf build build-* tests/reporter_output/test_logger.log
	find . -name *\.py[co] -exec rm -f {} \;
	dh_clean install-stamp test-stamp install-python*


override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python setup.py nosetests
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_auto_install:
	find debian/*/ -type f -perm 755 | xargs -r chmod 644
	dh_auto_install
	find debian/python-weberror -name jquery-1.2.1.min.js -delete
	find debian/python-weberror -name jquery-1.2.3.pack.js -delete

%:
	dh $@ --with python2 --buildsystem=pybuild
